package com.example.demo.products.repository;

import java.util.Optional;
import java.util.List;

import org.springframework.data.repository.CrudRepository;

import com.example.demo.products.model.ProductEntity;

public interface ProductRepository extends CrudRepository<ProductEntity, Long> {
    Optional<ProductEntity> findByNameIgnoreCase(String name);

    List<ProductEntity> findByType_Id(Long typeId);
}